WordPress.org

Ready to get started?Download WordPress

Plugin Directory

CloudSwipe :: Ecommerce with security

CloudSwipe is a WordPress e-commerce plugin that lets you sell digital and physical products with a strong focus on security and PCI compliance.

Where can I find CloudSwipe documentation?

You will find detailed instructions in our CloudSwipe documentation. You may also be interested in seeing our tips and tricks for CloudSwipe e-commerce as well as our blog.

Where can I get cool ideas on how to use CloudSwipe?

Checkout our tips and tricks section of our website for interesting ideas like how to add e-commerce to your email newsletters and your social media.

What is PageSlurp?

PageSlurp is the technology that we invented to provide a secure and PCI compliant way for us to run your WordPress them on our secure servers so that all your secure pages look just like the rest of your website. For more details on PageSlurp, see How it works

What is PCI compliance?

PCI Compliance is a set of requirements that your business needs to meet in order to accept credit card payments. If you are using CloudSwipe for your e-commerce, then your website is PCI compliant. If you are not using CloudSwipe then you need to handle all of the PCI requirements on your own. Becoming PCI compliant on your own is very expensive and challenging. For more information about PCI compliance, see What you need to know about PCI compliance.

Requires: 2.8.2 or higher
Compatible up to: 3.5.2
Last Updated: 2013-2-22
Downloads: 1,170

Ratings

1 star
1 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.